Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Action by Id

Prev Next
Get
/data/actionStatuses/{actionId}

Returns the action identified by the given id.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Path parameters
actionId
stringRequired

The id fo the action to retrieve.

Minimum1.0
Exampleabcd1234
Query parameters
historical
booleanRequired

If true, the action is created as historical, else as upcoming.

Responses
200

Successful operation.

Expand All
object
id
string

The action object identifier.

Exampleabcd1234
actionDefinitionId
string

The identifier of the action-definition associated with the action instance.

Exampleabcd1234
startTimestamp
integer (int64)

The action creation timestamp.

state
string

The action state.

Valid values[ "TODO", "DISCARDED", "DONE", "DONE_WITH_ISSUE" ]
customer
object

The customer the action is related to.

id
string
code
string
name
string
country
string
countryIsoCode
string
timezone
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)
firstAccessTimestamp
integer (int64)
lastAccessTimestamp
integer (int64)
location
object

The location the action is related to.

id
string
name
string
country
string
countryIsoCode
string
timezone
string
gpsPosition
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customerId
string
thing
object

The thing the action is related to.

id
string
name
string
serialNumber
string
thingDefinitionId
string
parentThingId
string
rootThingId
string
productModelId
string
productModelPartId
string
timezone
string
gpsPosition
string
creationTimestamp
integer (int64)
activationDate
integer (int64)
lastModifiedTimestamp
integer (int64)
cloudStatus
integer
cloudStatusLastUpdateTimestamp
integer (int64)
connectionStatus
integer
connectionStatusLastUpdateTimestamp
integer (int64)
latestMetricValueTimestamp
integer (int64)
customerId
string
locationId
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
simIccid
string
simDetails
object (SimDetails)
simStatus
string
Valid values[ "INACTIVE", "TEST", "ACTIVE" ]
sessionStatus
string
Valid values[ "G", "A", "R" ]
sessionStartTimestamp
integer (int64)
sessionDataLastTimestamp
integer (int64)
sessionNetworkTraffic
integer
dailyTraffic
integer
monthlyTraffic
integer
lastCellId
string
lastUpdate
integer (int64)
tagIds
Array of string
string
thingDefinition
object
id
string
name
string
description
string
defaultThingName
string
nameMetricId
string
serialNumberMetricId
string
gpsPositionMetricId
string
thingDefinitionMetricId
string
superThingDefinitionId
string
parentThingDefinitionId
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customer
object
id
string
code
string
name
string
country
string
countryIsoCode
string
timezone
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)
firstAccessTimestamp
integer (int64)
lastAccessTimestamp
integer (int64)
location
object
id
string
name
string
country
string
countryIsoCode
string
timezone
string
gpsPosition
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customerId
string
serviceLevel
object
id
string
name
string
level
integer
alertingFeature
boolean
notificationsFeature
boolean
thingPricing
object
authorizationPricing
object
features
object
partner
object
id
string
name
string
code
string
country
string
countryIsoCode
string
timezone
string
customerCount
number
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
organization
object
id
string
Example1234abcd
creationTimestamp
integer (int64)
actionDefinition
object

The action-definition associated to the action.

id
string
Exampleabcd1234
name
string
ExampleCLEAN_UP_FILTER
title
string
ExampleClean up filter
description
string
ExampleClean up the inlet air filter.
technicalDescription
string
ExampleThe inlet filter is located...
customerId
string

The identifier of the customer the action is related to.

locationId
string

The identifier of the location the action is related to.

thingId
string

The identifier of the thing the action is related to.

properties
object (Properties)

The set of properties providing additional details to the parent object.

Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
uncoded
boolean

If true, the action is associated to an unmodelled ActionDefinition.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error